---
type: api
title: Archive a maintenance window.
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-post-maintenance-window-id-archive
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v9/operation/operation-post-maintenance-window-id-archive
products:
  - Kibana
---

# Archive a maintenance window.

Availability: 9.1+

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/maintenance_window/{id}/_archive`
- `POST` `/s/{space_id}/api/maintenance_window/{id}/_archive`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v9/authentication#basicauth)

#### Path Parameters

- `id` (string)
  The identifier for the maintenance window to be archived.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

[Required authorization] Route required privileges: write-maintenance-window.

## Responses

#### `200`

Indicates a successful call.

`application/json`

- `created_at` (string)
  The date and time when the maintenance window was created.
- `created_by` (string · default: null) — nullable
  The identifier for the user that created the maintenance window.
- `enabled` (boolean)
  Whether the current maintenance window is enabled. Disabled maintenance windows do not suppress notifications.
- `id` (string)
  The identifier for the maintenance window.
- `schedule` (object)
  - `custom` ({})
    - `duration` (string)
      The duration of the schedule. It allows values in `<integer><unit>` format. `<unit>` is one of `d`, `h`, `m`, or `s` for hours, minutes, seconds. For example: `1d`, `5h`, `30m`, `5000s`.
    - `recurring` ({})
      - `end` (string)
        The end date of a recurring schedule, provided in ISO 8601 format and set to the UTC timezone. For example: `2025-04-01T00:00:00.000Z`.
      - `every` (string)
        The interval and frequency of a recurring schedule. It allows values in `<integer><unit>` format. `<unit>` is one of `d`, `w`, `M`, or `y` for days, weeks, months, years. For example: `15d`, `2w`, `3m`, `1y`.
      - `occurrences` (number)
        The total number of recurrences of the schedule.
      - `onMonth` ([] number)
        The specific months for a recurring schedule. Valid values are 1-12.
      - `onMonthDay` ([] number)
        The specific days of the month for a recurring schedule. Valid values are 1-31.
      - `onWeekDay` ([] string)
        The specific days of the week (`[MO,TU,WE,TH,FR,SA,SU]`) or nth day of month (`[+1MO, -3FR, +2WE, -4SA, -5SU]`) for a recurring schedule.
    - `start` (string)
      The start date and time of the schedule, provided in ISO 8601 format and set to the UTC timezone. For example: `2025-03-12T12:00:00.000Z`.
    - `timezone` (string)
      The timezone of the schedule. The default timezone is UTC.
- `scope` ({})
  - `alerting` (object)
    - `query` (object)
      - `kql` (string)
        A filter written in Kibana Query Language (KQL).
- `status` (enum)
  The current status of the maintenance window.
  Values: `running`, `upcoming`, `finished`, `archived`, `disabled`
- `title` (string)
  The name of the maintenance window.
- `updated_at` (string)
  The date and time when the maintenance window was last updated.
- `updated_by` (string · default: null) — nullable
  The identifier for the user that last updated this maintenance window.
#### `400`

Indicates an invalid schema or parameters.

#### `403`

Indicates that this call is forbidden.

#### `404`

Indicates a maintenance window with the given ID does not exist.

## Code Examples

#### Console

```console
POST /api/maintenance_window/{id}/_archive
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/maintenance_window/{id}/_archive" \
  -H "kbn-xsrf: true"
```

## Response Examples

#### Archive a maintenance window response

The response returned when a maintenance window is successfully archived.

```json
{
  "created_at": "2025-02-25T10:00:00.000Z",
  "created_by": "elastic",
  "enabled": true,
  "id": "f0cb1780-537a-4e34-8adf-3b4336862858",
  "schedule": {
    "custom": {
      "duration": "2h",
      "recurring": {
        "every": "1w",
        "occurrences": 10,
        "onWeekDay": [
          "MO",
          "WE"
        ]
      },
      "start": "2025-03-01T08:00:00.000Z",
      "timezone": "Europe/Amsterdam"
    }
  },
  "scope": {
    "alerting": {
      "query": {
        "kql": "kibana.alert.tags: \u0022infra\u0022"
      }
    }
  },
  "status": "archived",
  "title": "Weekly Maintenance Window",
  "updated_at": "2025-02-25T10:00:00.000Z",
  "updated_by": "elastic"
}
```

